# NM_Set_Attribute_Relevance_Advisory_Switch Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_Set_Attribute_Relevance_Advisory_Switch:

[legend]

List of all members.

## Public Types
typedef NetworkMessage | Super
## Public Member Functions
| NM_Set_Attribute_Relevance_Advisory_Switch ()
virtual | ~NM_Set_Attribute_Relevance_Advisory_Switch ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.
void | attributeRelevanceAdvisorySwitchOn ()
void | attributeRelevanceAdvisorySwitchOff ()
bool | getAttributeRelevanceAdvisorySwitch ()
## Protected Attributes
bool | attributeRelevanceAdvisorySwitch

## Detailed Description

Definition at line 357 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NetworkMessage Super

Definition at line 359 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_Set_Attribute_Relevance_Advisory_Switch | ( |  | ) |

Definition at line 668 of file NM_Classes.cc.

References NM_Set_Attribute_Relevance_Advisory_Switch::attributeRelevanceAdvisorySwitch, NetworkMessage::name, NetworkMessage::SET_ATTRIBUTE_RELEVANCE_ADVISORY_SWITCH, and NetworkMessage::type.

~NM_Set_Attribute_Relevance_Advisory_Switch | ( |  | ) | `[virtual]`

Definition at line 674 of file NM_Classes.cc.

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Reimplemented from NetworkMessage.

Definition at line 676 of file NM_Classes.cc.

References NM_Set_Attribute_Relevance_Advisory_Switch::attributeRelevanceAdvisorySwitch, NetworkMessage::serialize(), and MessageBuffer::write_bool().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Reimplemented from NetworkMessage.

Definition at line 682 of file NM_Classes.cc.

References NM_Set_Attribute_Relevance_Advisory_Switch::attributeRelevanceAdvisorySwitch, NetworkMessage::deserialize(), and MessageBuffer::read_bool().

Here is the call graph for this function:

void attributeRelevanceAdvisorySwitchOn | ( |  | ) | `[inline]`

Definition at line 365 of file NM_Classes.hh.

Referenced by ObjectManagement::setAttributeRelevanceAdvisorySwitch().

void attributeRelevanceAdvisorySwitchOff | ( |  | ) | `[inline]`

Definition at line 367 of file NM_Classes.hh.

Referenced by ObjectManagement::setAttributeRelevanceAdvisorySwitch().

bool getAttributeRelevanceAdvisorySwitch | ( |  | ) | `[inline]`

Definition at line 369 of file NM_Classes.hh.

Referenced by RTIG::processSetAttributeRelevanceAdvisorySwitch().

## Member Data Documentation

bool attributeRelevanceAdvisorySwitch`[protected]`

Definition at line 370 of file NM_Classes.hh.

Referenced by NM_Set_Attribute_Relevance_Advisory_Switch::deserialize(), NM_Set_Attribute_Relevance_Advisory_Switch::NM_Set_Attribute_Relevance_Advisory_Switch(), and NM_Set_Attribute_Relevance_Advisory_Switch::serialize().

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc